\section{Belief Change}

\begin{frame}{Belief Change~\cite{Alchourron1985,Hansson1999}}

    \begin{center}
        \begin{tikzpicture}

            \tikzset{kb/.style={draw, minimum width=3cm, minimum height=1cm, align=center, ellipse, fill=none,inner sep=2pt}}
            \tikzset{arr/.style={-latex,thick,font=\scriptsize\itshape, shorten >=4pt,shorten <=4pt}}

            \node[kb] (orig) at (0, 0) {Original KB};
            \node[kb, right = 3cm of orig] (new) {New KB};

            \draw[->, arr] (orig.east) to[] node[midway, above] {New Information} (new.west);
            \draw[->, arr, dashed, gray] (orig.south east) to[out=-30, bend right, looseness=2] node[midway, below] {Minimal Change} (new.south west);

        \end{tikzpicture}
    \end{center}

    \begin{description}
        \item [KBs:] sets of formulas
        \item [Input:] formula(s) to be accepted/rejected %chktex 36
    \end{description}

\end{frame}

\begin{frame}{Belief Change Triad}

    \begin{description}
        \item[Operations:] types of rational change 
        \item[Postulates:] properties that must be satisfied
        \item[Constructions:] syntactic or semantic methods to implement the operations
    \end{description}

\end{frame}

\begin{frame}{Proposal}
    \begin{columns}
        \column{0.5\textwidth}
        \resizebox{\textwidth}{!}{%
            \begin{tikzpicture}

                \tikzset{kb/.style={draw, minimum width=3cm, minimum height=1cm, align=center, ellipse, fill=none,inner sep=2pt}}
                \tikzset{arr/.style={-latex,thick,font=\scriptsize\itshape, shorten >=4pt,shorten <=4pt}}

                \node[kb] (orig) at (0, 0) {Original KB};
                \node[kb, right = 3cm of orig] (new) {New KB};

                \draw
                    let
                    \p1=($(orig.west)!0.5!(new.east)$),
                    in
                    node[colorAO] (fr) at (\x1, 2) {Finitely Representable};

                \draw[->, arr] (orig.east) to[] node[midway, above] {\textcolor{blue}{Model(s)}} (new.west);
                \draw[->, arr, dashed, gray] (orig.south east) to[out=-30, bend right, looseness=2] node[midway, below] {Minimal Change} (new.south west);
                \draw[->, arr, dashed, blue] (fr.south) to[] (orig.north);
                \draw[->, arr, dashed, blue] (fr.south) to[] (new.north);

            \end{tikzpicture}
        }

        \column{0.5\textwidth}

        \begin{itemize}
            \item<1-> Minimise loss of information
            \item<2-> Remove or add ONLY the necessary \textbf{models}
            \item<3-> Indifferent about syntactical structure
                %        \item<4-> Not every logic is like propositional logic: some sets of
                %models might not be finitely representable
            \item<4-> Preserve finite representability
            \item<5-> Few assumptions about the logic
        \end{itemize}
    \end{columns}
\end{frame}

\begin{frame}{Motivation}
    \begin{columns}
        \column{0.5\textwidth}
        \begin{itemize}
            \item Finiteness: algorithms, limited storage capacity
            \item Models as input: flexibility
            \item Settings: learning from interpreations (\cite{DeRaedt1997}), Horn theories from graphs (\cite{Arias2007}), Learning Theory and Iterated Belief Change~\cite{Baltag2018}
        \end{itemize}
        \column{0.5\textwidth}
        \begin{figure}
            \begin{center}
                \includegraphics[width=\textwidth]{curiosity_hover.jpg}
            \end{center}
            \caption*{\tiny\cite{NASA2013}}
        \end{figure}
        
    \end{columns}
\end{frame}

\begin{frame}{Model Change Operations}
    \begin{center}
        \begin{tikzpicture}
            \tikzset{op/.style={draw, minimum width=3cm, minimum height=1cm, align=center, rounded rectangle, fill=blue!20,inner sep=2pt}}
            \tikzset{lin/.style={thick,font=\scriptsize\itshape, dashed}}

            \def\lx{4cm};
            \def\ly{2cm};
            \node[op] (con) at (0, 0) {Contraction};
            \node[op, below=\ly of con] (exp){Expansion};
            \node[op, below=\ly of exp] (rev){Revision};


            \node[op, right=\lx of con, thick, draw=colorAO] (rcp) {Reception};
            \node[op, thick, draw=colorAO] (evc) at (exp -| rcp) {Eviction};
            \node[op, below=\ly of evc, red!10, dotted] (mrev) {\textcolor{black}{?}};

            \draw[lin] (con) to[] node[midway, align=center] {More models\\Fewer formulas} (rcp);
            \draw[lin] (exp) to[] node[midway, align=center] {Fewer models\\More formulas} (evc);
            \draw[lin] (rev) to[] node[midway, align=center] {?\\Keep consistency} (mrev);
        \end{tikzpicture}
    \end{center}
\end{frame}

